.TH dbm_dirfno() "" "" "NDBM Function (libgdbm)"
.PC "Return the file descriptor for an NDBM .dir file"
.B "#include <ndbm.h>"
\fBint dbm_dirfno (\fIdatabase\^\fB)\fR
\fBDBM *\fIdatabase\^\fB;\fR
.PP
A NDBM data base consists of two files.
One, with the suffix \fB.dir\fR, holds the index for the data base; the
other, with the suffix \fB.pag\fR, holds the data themselves.
.PP
Function
.B dbm_dirfno()
returns the file descriptor for the \fB.dir\fR file associated with the
data base to which
.I database
points.
.I database
must have been returned by a call to
.BR dbm_open() .
.SH "See Also"
.XR "dbm_open()," dbm_open
.XR "dbm_pagfno()," dbm_pagfn
.XR "ndbm.h," ndbm.h
.XR "libdgm" libdgm
.SH Notes
For a statement of copyright and permissions on this routine, see the
Lexicon entry for
.BR libgdbm .
